# set CLASSPATH
CLASSPATH=.:../lib/ojdbc6.jar:/Users/daust/Downloads/KEEP/apex/apex_5.0.3/apex/utilities/:$CLASSPATH
export CLASSPATH

# set variables for database and user
DB=vm1:1521:xe
USER=SYSTEM
PWD=geheim

# Exportiere Applikation 102
java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -applicationid 102
mv f102.sql ./export-files-ws-training	

# Exportiere ALLE Applikationen der gesamten Instanz
#java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -instance

# Exportiere ALLE Workspaces (weil workspace-id nicht gesetzt wurde)
#java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -expWorkspace

# Exportiere Workspace
# Workspace ID ermitteln mit : 
# select workspace_id, workspace, schemas, applications, files from apex_workspaces;
# export Workspace Dummy: 51646466283622323

# full ws-export
WS_ID=51646466283622323
java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -expWorkspace -workspaceId $WS_ID
mv w$WS_ID.sql ./export-files-ws-dummy/ws-dummy-full.sql

# minimal ws-export
WS_ID=51646466283622323
java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -expWorkspace -workspaceId $WS_ID -expMinimal
mv w$WS_ID.sql ./export-files-ws-dummy/ws-dummy-minimal.sql

# ws files exportieren
# ws TRAINING: 2742320859472150
WS_ID=2742320859472150
java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -workspaceId $WS_ID -expFiles
mv files_$WS_ID.sql ./export-files-ws-training/ws-files.sql


# Exportiere ALLE Workspace files
#java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -expFiles -workspaceid 2031917327559678  
#java oracle.apex.APEXExport -db $DB -user $USER -password $PWD -expFiles -workspaceid 2541800981839247  

